STRUCT TEMPLATE (3)

NAME
boost::intrusive::link_mode

SYNOPSIS

// In header: <boost/intrusive/options.hpp>
template<link_mode_type LinkType>
struct link_mode {
  // member classes/structs/unions
  // @ template<class Base>
  struct pack {
    static const link_mode_type link_mode;
  };
};

DESCRIPTION

This option setter specifies the link mode (normal_link, safe_link or auto_unlink)